"{ Package: 'stx:goodies/xtreams/substreams/tests' }"

LibraryDefinition subclass:#stx_goodies_xtreams_substreams_tests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_goodies_xtreams_substreams_tests class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

mandatoryPreRequisites
    "list all required mandatory packages.
     Packages are mandatory, if they contain superclasses of the package's classes
     or classes which are extended by this package.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies
     (the browser has a menu function for that)
     However, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPreRequisites method."

    ^ #(
        #'stx:goodies/sunit'    "TestAsserter - superclass of Xtreams::ReadingWritingTest "
        #'stx:libbasic'    "LibraryDefinition - superclass of stx_goodies_xtreams_core_tests "

        #'stx:goodies/xtreams/support'
        #'stx:goodies/xtreams/core'
        #'stx:goodies/xtreams/terminals'
        #'stx:goodies/xtreams/transforms'
        #'stx:goodies/xtreams/substreams'
    )

    "Modified: / 20-03-2013 / 19:56:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!stx_goodies_xtreams_substreams_tests class methodsFor:'description - actions'!

postLoadAction
    Smalltalk loadPackage: 'stx:goodies/xtreams/support/tests'.
    Smalltalk loadPackage: 'stx:goodies/xtreams/core/tests'.
    Smalltalk loadPackage: 'stx:goodies/xtreams/terminals/tests'.
    Smalltalk loadPackage: 'stx:goodies/xtreams/transforms/tests'.
    Smalltalk loadPackage: 'stx:goodies/xtreams/substreams/tests'.

    "Created: / 20-03-2013 / 18:58:48 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!stx_goodies_xtreams_substreams_tests class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
	"<className> or (<className> attributes...) in load order"
	(#'Xtreams::StitchingTest')
	#'stx_goodies_xtreams_substreams_tests'
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
	#'Xtreams::FiniteReadingWritingTests' testReadClosing
	#'Xtreams::FiniteReadingWritingTests' testReadEndingBlock
	#'Xtreams::FiniteReadingWritingTests' testReadEndingBlockPositioning
	#'Xtreams::FiniteReadingWritingTests' testReadEndingBlockTail
	#'Xtreams::FiniteReadingWritingTests' testReadEndingCollection
	#'Xtreams::FiniteReadingWritingTests' testReadEndingCollectionPositioning
	#'Xtreams::FiniteReadingWritingTests' testReadEndingCollectionTail
	#'Xtreams::FiniteReadingWritingTests' testReadEndingObject
	#'Xtreams::FiniteReadingWritingTests' testReadEndingObjectPositioning
	#'Xtreams::FiniteReadingWritingTests' testReadEndingObjectTail
	#'Xtreams::FiniteReadingWritingTests' testReadLimiting
	#'Xtreams::FiniteReadingWritingTests' testReadLimitingPositioning
	#'Xtreams::FiniteReadingWritingTests' testReadStitchLimiting
	#'Xtreams::FiniteReadingWritingTests' testReadStitchingChunks
	#'Xtreams::FiniteReadingWritingTests' testWriteClosing
	#'Xtreams::FiniteReadingWritingTests' testWriteClosingPositioning
	#'Xtreams::FiniteReadingWritingTests' testWriteEndingBlock
	#'Xtreams::FiniteReadingWritingTests' testWriteEndingBlockTail
	#'Xtreams::FiniteReadingWritingTests' testWriteEndingCollection
	#'Xtreams::FiniteReadingWritingTests' testWriteEndingCollectionTail
	#'Xtreams::FiniteReadingWritingTests' testWriteEndingObject
	#'Xtreams::FiniteReadingWritingTests' testWriteEndingObjectTail
	#'Xtreams::FiniteReadingWritingTests' testWriteLimiting
	#'Xtreams::FiniteReadingWritingTests' testWriteLimitingPositioning
	#'Xtreams::FiniteReadingWritingTests' testWriteStitchLimiting
	#'Xtreams::FiniteReadingWritingTests' testWriteStitchingChunks
    )
! !

!stx_goodies_xtreams_substreams_tests class methodsFor:'documentation'!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

